# webcmd

A web-based interface for arbitrary command-line tools.

Configure the possible options for your command (e.g. optional flags, custom arguments) and then remotely invoke the tool via a web interface. The web interface displays stdout/stderr of recent and in-progress tasks, and can cancel a long-running command at any time.

## Usage

```
Usage of ./webcmd:
  -config string
    	Path to configuration file (default "webcmd.conf")
  -version
    	Display version number and exit
```

## Configuration

See the included `webcmd.conf-sample` file for an example configuration implementing a Looking Glass server over the top of `/bin/ping`.

## Changelog

2017-03-27 1.0.1
- Enhancement: Simplify configuration file format, allow parsing const strings directly
- Enhancement: Improve time format display
- Fix an issue with pasting into form fields on Firefox Mobile
- Fix an issue with not consistently interpreting `MaxHistoryLines:0` as infinite history
- Fix a cosmetic issue with mobile viewports
- Fix a cosmetic issue with task ordering

2017-03-25 1.0.0
- Initial public release
